Update Calendar Resource
Update calendar resource by ID
PUT
/
calendars
/
resources
/
{resourceType}
/
{id}
Update Calendar Resource
curl --request PUT \
--url https://services.leadconnectorhq.com/calendars/resources/{resourceType}/{id} \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "<string>",
"name": "<string>",
"description": "<string>",
"quantity": 123,
"outOfService": 123,
"capacity": 123,
"calendarIds": [
"<string>"
],
"isActive": true
}
'const options = {
method: 'PUT',
headers: {Version: '<version>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locationId: '<string>',
name: '<string>',
description: '<string>',
quantity: 123,
outOfService: 123,
capacity: 123,
calendarIds: ['<string>'],
isActive: true
})
};
fetch('https://services.leadconnectorhq.com/calendars/resources/{resourceType}/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/calendars/resources/{resourceType}/{id}"
payload = {
"locationId": "<string>",
"name": "<string>",
"description": "<string>",
"quantity": 123,
"outOfService": 123,
"capacity": 123,
"calendarIds": ["<string>"],
"isActive": True
}
headers = {
"Version": "<version>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"locationId": "<string>",
"name": "yoga room",
"resourceType": "equipments",
"isActive": true,
"description": "<string>",
"quantity": 123,
"outOfService": 0,
"capacity": 85
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Path Parameters
Body
application/json
Response
Calendar resource updated
Last modified on March 8, 2026
Was this page helpful?
Update Calendar Resource
curl --request PUT \
--url https://services.leadconnectorhq.com/calendars/resources/{resourceType}/{id} \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "<string>",
"name": "<string>",
"description": "<string>",
"quantity": 123,
"outOfService": 123,
"capacity": 123,
"calendarIds": [
"<string>"
],
"isActive": true
}
'const options = {
method: 'PUT',
headers: {Version: '<version>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locationId: '<string>',
name: '<string>',
description: '<string>',
quantity: 123,
outOfService: 123,
capacity: 123,
calendarIds: ['<string>'],
isActive: true
})
};
fetch('https://services.leadconnectorhq.com/calendars/resources/{resourceType}/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/calendars/resources/{resourceType}/{id}"
payload = {
"locationId": "<string>",
"name": "<string>",
"description": "<string>",
"quantity": 123,
"outOfService": 123,
"capacity": 123,
"calendarIds": ["<string>"],
"isActive": True
}
headers = {
"Version": "<version>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"locationId": "<string>",
"name": "yoga room",
"resourceType": "equipments",
"isActive": true,
"description": "<string>",
"quantity": 123,
"outOfService": 0,
"capacity": 85
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}